## herbstluftwm 0.1+git2011.10.26

=== Makefile ===

include version.mk
include config.mk

# project
SRCDIR = src
SRC = $(wildcard $(SRCDIR)/*.c)
HEADER = $(wildcard $(SRCDIR)/*.h)
OBJ = ${SRC:.c=.o}
TARGET = herbstluftwm
HERBSTCLIENTDOC = doc/herbstclient.txt
HERBSTLUFTWMDOC = doc/herbstluftwm.txt

include rules.mk

all: build-herbstclient doc
clean: clean-herbstclient cleandoc

.PHONY: doc cleandoc install

cleandoc:
	$(call colorecho,RM,doc/herbstclient.1)
	@rm -f doc/herbstclient.1
	$(call colorecho,RM,doc/herbstclient.html)
	@rm -f doc/herbstclient.html
	$(call colorecho,RM,doc/herbstluftwm.1)
	@rm -f doc/herbstluftwm.1
	$(call colorecho,RM,doc/herbstluftwm.html)
	@rm -f doc/herbstluftwm.html

build-herbstclient:
	$(MAKE) -C ipc-client

clean-herbstclient:
	$(MAKE) -C ipc-client clean

doc: doc/herbstclient.1 doc/herbstclient.html doc/herbstluftwm.1 doc/herbstluftwm.html

tar: doc
	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]

doc/%.1: doc/%.txt
	$(call colorecho,DOC,$@)
	@a2x -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<

doc/%.html: doc/%.txt
	$(call colorecho,DOC,$@)
	@asciidoc $<

install: all
	@echo "==> creating dirs..."
	mkdir -p $(PREFIX)
	mkdir -p $(LICENSEDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(MANDIR)
	mkdir -p $(DOCDIR)
	mkdir -p $(EXAMPLESDIR)
	mkdir -p $(ETCDIR)
	mkdir -p $(ETCDIR)/bash_completion.d/
	mkdir -p $(CONFIGDIR)
	mkdir -p $(ZSHCOMPLETIONDIR)
	@echo "==> copyiing files..."
	install $(TARGET) $(BINDIR)
	install ipc-client/herbstclient $(BINDIR)/
	install -m 644 LICENSE $(LICENSEDIR)
	install -m 644 doc/herbstclient.1 $(MANDIR)/
	install -m 644 doc/herbstluftwm.1 $(MANDIR)/
	install -m 644 doc/herbstclient.html $(DOCDIR)/
	install -m 644 doc/herbstluftwm.html $(DOCDIR)/
	install -m 644 BUGS $(DOCDIR)/
	install -m 755 share/autostart $(CONFIGDIR)/
	install -m 755 share/panel.sh $(CONFIGDIR)/
	install -m 755 share/restartpanels.sh $(CONFIGDIR)/
	install -m 644 share/herbstclient-completion $(ETCDIR)/bash_completion.d/
	install -m 644 share/_herbstclient $(ZSHCOMPLETIONDIR)/
	install -m 644 scripts/README $(EXAMPLESDIR)/
	install -m 755 scripts/*.sh $(EXAMPLESDIR)/

=== ipc-client/Makefile ===

include ../version.mk
include ../config.mk

# project
SRCDIR = .
SRC = $(wildcard $(SRCDIR)/*.c) ../src/utils.c
HEADER = $(wildcard $(SRCDIR)/*.h) ../src/ipc-protocol.h
OBJ = ${SRC:.c=.o}
TARGET = herbstclient

include ../rules.mk

=== debian/changelog ===
herbstluftwm (0.1+git2011.10.26-1) unstable; urgency=low

  * New upstream release
    * Includes patch by Julian Taylor for --as-needed (Closes: #646378)

 -- Christoph Egger <christoph@debian.org>  Thu, 27 Oct 2011 00:01:22 +0200

herbstluftwm (0.1+git2011.10.09-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 09 Oct 2011 12:53:23 +0200

herbstluftwm (0~git2011.09.25-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 25 Sep 2011 18:50:43 +0200

herbstluftwm (0~git2011.08.28-2) unstable; urgency=low

  * Install herbstluftwm as potential x-window-manager

 -- Christoph Egger <christoph@debian.org>  Mon, 29 Aug 2011 15:39:10 +0200

herbstluftwm (0~git2011.08.28-1) unstable; urgency=low

  * Initial release. (Closes: #639583)

 -- Christoph Egger <christoph@debian.org>  Sun, 28 Aug 2011 14:05:38 +0200

=== debian/control ===
Source: herbstluftwm
Section: x11
Priority: optional
Maintainer: Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libglib2.0-dev,
 libx11-dev,
 asciidoc,
 libxml2-utils,
 docbook-xml,
 xsltproc
Standards-Version: 3.9.2
Homepage: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/
Vcs-Git: git://git.debian.org/collab-maint/herbstluftwm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/herbstluftwm.git;a=summary

Package: herbstluftwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: manual tiling window manager for X11
 In herbstluftwm the layout is based on splitting frames into
 subframes which can be split again or can be filled with windows,
 Tags (or workspaces or virtual desktops or ...) can be added/removed
 at runtime. Each tag contains an own layout and exactly one tag is
 viewed on each monitor. The tags are monitor independent.
 .
 It is configured at runtime via ipc calls from herbstclient. So the
 configuration file is just a script which is run on startup.

## herbstluftwm 0.1+git2011.11.06

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 HERBSTCLIENTDOC = doc/herbstclient.txt
 HERBSTLUFTWMDOC = doc/herbstluftwm.txt
 
+include colors.mk
 include rules.mk
 
 all: build-herbstclient doc
@@ -41,11 +42,11 @@
 
 doc/%.1: doc/%.txt
 	$(call colorecho,DOC,$@)
-	@a2x -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<
+	@$(A2X) -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<
 
 doc/%.html: doc/%.txt
 	$(call colorecho,DOC,$@)
-	@asciidoc $<
+	@$(ASCIIDOC) $<
 
 install: all
 	@echo "==> creating dirs..."

=== debian/changelog ===
herbstluftwm (0.1+git2011.11.06-1ubuntu1) precise; urgency=low

  * Adding missing build dependency: docbook-xsl.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 26 Nov 2011 16:01:31 +0400

herbstluftwm (0.1+git2011.11.06-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 06 Nov 2011 12:40:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: herbstluftwm
 Section: x11
 Priority: optional
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  libglib2.0-dev,
@@ -9,6 +10,7 @@
  asciidoc,
  libxml2-utils,
  docbook-xml,
+ docbook-xsl,
  xsltproc
 Standards-Version: 3.9.2
 Homepage: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/

## herbstluftwm 0.1+git2011.11.28

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 all: build-herbstclient doc
 clean: clean-herbstclient cleandoc
 
-.PHONY: doc cleandoc install
+.PHONY: doc cleandoc install www cleanwww
 
 cleandoc:
 	$(call colorecho,RM,doc/herbstclient.1)
@@ -77,3 +77,8 @@
 	install -m 644 scripts/README $(EXAMPLESDIR)/
 	install -m 755 scripts/*.sh $(EXAMPLESDIR)/
 
+www:
+	make -C www
+
+cleanwww:
+	make -C www clean

=== debian/changelog ===
herbstluftwm (0.1+git2011.11.28-1) unstable; urgency=low

  * New upstream version
  * add docbook-xsl to Build-Depends (Closes: #650084)

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Nov 2011 18:46:46 +0100

## herbstluftwm 0.1+git2011.12.09

=== debian/changelog ===
herbstluftwm (0.1+git2011.12.09-1) oneiric; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Fri, 09 Dec 2011 18:42:43 +0100

herbstluftwm (0.1+git2011.11.28-1~oneiric1) oneiric; urgency=low

  * New upstream version
  * add docbook-xsl to Build-Depends (Closes: #650084)

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Nov 2011 18:46:46 +0100

## herbstluftwm 0.1+git2011.12.20

=== www/Makefile ===

include ../version.mk
include ../config.mk
include ../colors.mk

.PHONY: all clean install

TARGET = cip:wwwcip/herbstluftwm/
ASCIIDOCFLAGS = -a linkcss -a stylesdir=./ --theme main

all: index.html faq.html news.html herbstluftwm.html herbstclient.html

%.html: %.txt header.txt footer.txt
	$(call colorecho,DOC,$@)
	@$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

herbstluftwm.html: ../doc/herbstluftwm.txt
	$(call colorecho,DOC,$@)
	@$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

herbstclient.html: ../doc/herbstclient.txt
	$(call colorecho,DOC,$@)
	@$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

news.html: ../NEWS

clean:
	rm -f *.html

install:
	@echo scp index.html main.css $(TARGET)

=== debian/changelog ===
herbstluftwm (0.1+git2011.12.20-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Tue, 20 Dec 2011 14:43:23 +0100

herbstluftwm (0.1+git2011.12.09-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Fri, 09 Dec 2011 18:42:43 +0100

herbstluftwm (0.1+git2011.11.28-1) oneiric; urgency=low

  * New upstream version
  * add docbook-xsl to Build-Depends (Closes: #650084)

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Nov 2011 18:46:46 +0100

## herbstluftwm 0.1+git2012.01.08

=== debian/changelog ===
herbstluftwm (0.1+git2012.01.08-1) unstable; urgency=low

  * New upstream snapshot
    * Hilight: ewmh support

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jan 2012 16:20:50 +0100

## herbstluftwm 0.2

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,12 @@
 
 tar: doc
 	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]
+	rm -rf $(TMPTARDIR)
+	mkdir -p $(TMPTARDIR)
+	tar -xvf $(TARFILE) -C $(TMPTARDIR)
+	tar -czf $(TARFILE) $(TMPTARDIR)
+	rm -rf $(TMPTARDIR)
+
 
 doc/%.1: doc/%.txt
 	$(call colorecho,DOC,$@)
@@ -60,7 +66,8 @@
 	mkdir -p $(ETCDIR)/bash_completion.d/
 	mkdir -p $(CONFIGDIR)
 	mkdir -p $(ZSHCOMPLETIONDIR)
-	@echo "==> copyiing files..."
+	mkdir -p $(XSESSIONSDIR)
+	@echo "==> copying files..."
 	install $(TARGET) $(BINDIR)
 	install ipc-client/herbstclient $(BINDIR)/
 	install -m 644 LICENSE $(LICENSEDIR)
@@ -74,6 +81,7 @@
 	install -m 755 share/restartpanels.sh $(CONFIGDIR)/
 	install -m 644 share/herbstclient-completion $(ETCDIR)/bash_completion.d/
 	install -m 644 share/_herbstclient $(ZSHCOMPLETIONDIR)/
+	install -m 644 share/herbstluftwm.desktop $(XSESSIONSDIR)/
 	install -m 644 scripts/README $(EXAMPLESDIR)/
 	install -m 755 scripts/*.sh $(EXAMPLESDIR)/

=== debian/changelog ===
herbstluftwm (0.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Wed, 25 Jan 2012 18:32:03 +0100

## herbstluftwm 0.2+git2012.03.01

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,8 @@
 	install -m 644 doc/herbstclient.html $(DOCDIR)/
 	install -m 644 doc/herbstluftwm.html $(DOCDIR)/
 	install -m 644 BUGS $(DOCDIR)/
+	install -m 644 NEWS $(DOCDIR)/
+	install -m 644 README $(DOCDIR)/
 	install -m 755 share/autostart $(CONFIGDIR)/
 	install -m 755 share/panel.sh $(CONFIGDIR)/
 	install -m 755 share/restartpanels.sh $(CONFIGDIR)/

=== debian/changelog ===
herbstluftwm (0.2+git2012.03.01-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Thu, 01 Mar 2012 15:02:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: herbstluftwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  libglib2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/herbstluftwm/usr ETCDIR=$(CURDIR)/debian/herbstluftwm/etc install
	rm -rf $(CURDIR)/debian/herbstluftwm/usr/share/licenses

override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm

## herbstluftwm 0.3

=== Makefile ===
--- 
+++ 
@@ -56,36 +56,36 @@
 
 install: all
 	@echo "==> creating dirs..."
-	mkdir -p $(PREFIX)
-	mkdir -p $(LICENSEDIR)
-	mkdir -p $(BINDIR)
-	mkdir -p $(MANDIR)
-	mkdir -p $(DOCDIR)
-	mkdir -p $(EXAMPLESDIR)
-	mkdir -p $(ETCDIR)
-	mkdir -p $(ETCDIR)/bash_completion.d/
-	mkdir -p $(CONFIGDIR)
-	mkdir -p $(ZSHCOMPLETIONDIR)
-	mkdir -p $(XSESSIONSDIR)
+	$(MKDIR) $(PREFIX)
+	$(MKDIR) $(LICENSEDIR)
+	$(MKDIR) $(BINDIR)
+	$(MKDIR) $(MANDIR)
+	$(MKDIR) $(DOCDIR)
+	$(MKDIR) $(EXAMPLESDIR)
+	$(MKDIR) $(ETCDIR)
+	$(MKDIR) $(ETCDIR)/bash_completion.d/
+	$(MKDIR) $(CONFIGDIR)
+	$(MKDIR) $(ZSHCOMPLETIONDIR)
+	$(MKDIR) $(XSESSIONSDIR)
 	@echo "==> copying files..."
-	install $(TARGET) $(BINDIR)
-	install ipc-client/herbstclient $(BINDIR)/
-	install -m 644 LICENSE $(LICENSEDIR)
-	install -m 644 doc/herbstclient.1 $(MANDIR)/
-	install -m 644 doc/herbstluftwm.1 $(MANDIR)/
-	install -m 644 doc/herbstclient.html $(DOCDIR)/
-	install -m 644 doc/herbstluftwm.html $(DOCDIR)/
-	install -m 644 BUGS $(DOCDIR)/
-	install -m 644 NEWS $(DOCDIR)/
-	install -m 644 README $(DOCDIR)/
-	install -m 755 share/autostart $(CONFIGDIR)/
-	install -m 755 share/panel.sh $(CONFIGDIR)/
-	install -m 755 share/restartpanels.sh $(CONFIGDIR)/
-	install -m 644 share/herbstclient-completion $(ETCDIR)/bash_completion.d/
-	install -m 644 share/_herbstclient $(ZSHCOMPLETIONDIR)/
-	install -m 644 share/herbstluftwm.desktop $(XSESSIONSDIR)/
-	install -m 644 scripts/README $(EXAMPLESDIR)/
-	install -m 755 scripts/*.sh $(EXAMPLESDIR)/
+	$(INSTALL) $(TARGET) $(BINDIR)
+	$(INSTALL) ipc-client/herbstclient $(BINDIR)/
+	$(INSTALL) -m 644 LICENSE $(LICENSEDIR)
+	$(INSTALL) -m 644 doc/herbstclient.1 $(MANDIR)/
+	$(INSTALL) -m 644 doc/herbstluftwm.1 $(MANDIR)/
+	$(INSTALL) -m 644 doc/herbstclient.html $(DOCDIR)/
+	$(INSTALL) -m 644 doc/herbstluftwm.html $(DOCDIR)/
+	$(INSTALL) -m 644 BUGS $(DOCDIR)/
+	$(INSTALL) -m 644 NEWS $(DOCDIR)/
+	$(INSTALL) -m 644 README $(DOCDIR)/
+	$(INSTALL) -m 755 share/autostart $(CONFIGDIR)/
+	$(INSTALL) -m 755 share/panel.sh $(CONFIGDIR)/
+	$(INSTALL) -m 755 share/restartpanels.sh $(CONFIGDIR)/
+	$(INSTALL) -m 644 share/herbstclient-completion $(ETCDIR)/bash_completion.d/
+	$(INSTALL) -m 644 share/_herbstclient $(ZSHCOMPLETIONDIR)/
+	$(INSTALL) -m 644 share/herbstluftwm.desktop $(XSESSIONSDIR)/
+	$(INSTALL) -m 644 scripts/README $(EXAMPLESDIR)/
+	$(INSTALL) -m 755 scripts/*.sh $(EXAMPLESDIR)/
 
 www:
 	make -C www

=== ipc-client/Makefile ===
--- 
+++ 
@@ -9,5 +9,6 @@
 OBJ = ${SRC:.c=.o}
 TARGET = herbstclient
 
+include ../colors.mk
 include ../rules.mk

=== www/Makefile ===

include ../version.mk
include ../config.mk
include ../colors.mk

.PHONY: all clean install

TARGET = cip:wwwcip/herbstluftwm/
ASCIIDOCFLAGS = -s
TXT = $(wildcard *.txt)

all: $(TXT:.txt=.html) herbstluftwm.html herbstclient.html

%-content.html: %.txt
	$(call colorecho,DOC,$@)
	$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

%.html: %-content.html compose.sh
	./compose.sh $< > $@

herbstluftwm-content.html: ../doc/herbstluftwm.txt
	$(call colorecho,DOC,$@)
	@$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

herbstclient-content.html: ../doc/herbstclient.txt
	$(call colorecho,DOC,$@)
	@$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

news.html: ../NEWS

clean:
	rm -f *.html *-content.html

install:
	@echo scp index.html main.css $(TARGET)

=== debian/changelog ===
herbstluftwm (0.3-1~bpo60+1) squeeze-backports; urgency=low

  * No-change backport to squeeze

 -- Christoph Egger <christoph@debian.org>  Wed, 25 Apr 2012 14:08:09 +0200

herbstluftwm (0.3-1) unstable; urgency=low

  * New upstream release
  * Change standards version from 3.9.2 to 3.9.3, no further changes

 -- Christoph Egger <christoph@debian.org>  Fri, 13 Apr 2012 13:43:51 +0200

herbstluftwm (0.2+git2012.04.02-1) unstable; urgency=low

  * New upstream snapshot
  * Provide x-window-manager (Closes: #663993)
  * Recommend dzen2, xterm, Suggest suckless-tools (Closes: #664693)
  * Provide menu file (Closes: #664677)

 -- Christoph Egger <christoph@debian.org>  Thu, 15 Mar 2012 00:40:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  docbook-xml,
  docbook-xsl,
  xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/
 Vcs-Git: git://git.debian.org/collab-maint/herbstluftwm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/herbstluftwm.git;a=summary
@@ -19,6 +19,9 @@
 Package: herbstluftwm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: dzen2, xterm
+Suggests: suckless-tools
+Provides: x-window-manager
 Description: manual tiling window manager for X11
  In herbstluftwm the layout is based on splitting frames into
  subframes which can be split again or can be filled with windows,

## herbstluftwm 0.4.1

=== Makefile ===

include version.mk
include config.mk
include colors.mk

HLWMSRC = $(wildcard src/*.c)
HLWMOBJ = $(HLWMSRC:.c=.o)
HLWMTARGET = herbstluftwm

HCSRC = $(wildcard ipc-client/*.c) src/utils.c
HCOBJ = $(HCSRC:.c=.o)
HCTARGET = herbstclient

TARGETS = $(HLWMTARGET) $(HCTARGET)
OBJ = $(HLWMOBJ) $(HCOBJ)
DEPS = $(OBJ:.o=.d)

HERBSTCLIENTDOC = doc/herbstclient.txt
HERBSTLUFTWMDOC = doc/herbstluftwm.txt

.PHONY: depend all all-nodoc doc install info www
.PHONY: cleandoc cleanwww cleandeps clean

all: $(TARGETS) doc
all-nodoc: $(TARGETS)
$(HLWMTARGET): $(HLWMOBJ)
$(HCTARGET): $(HCOBJ)

$(TARGETS):
	$(call colorecho,LD,$@)
	$(VERBOSE) $(LD) -o $@ $(LDFLAGS)  $^ $(LIBS)

-include $(DEPS)

%.o: %.c version.mk
	$(call colorecho,CC,$<)
	$(VERBOSE) $(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
	$(VERBOSE) $(CC) -c $(CPPFLAGS) -o $*.d -MT $@ -MM $<

info:
	@echo Some Info:
	@echo Preprocessing with: $(CC) -E $(CPPFLAGS)
	@echo Compiling with: $(CC) -c $(CPPFLAGS) $(CFLAGS) -o OUT INPUT
	@echo Linking with: $(LD) -o OUT $(LDFLAGS) INPUT

clean: cleandoc cleandeps
	$(call colorecho,RM,$(TARGETS))
	$(VERBOSE) rm -f $(TARGETS)
	$(call colorecho,RM,$(OBJ))
	$(VERBOSE) rm -f $(OBJ)

cleandeps:
	$(call colorecho,RM,$(DEPS))
	$(VERBOSE) rm -f $(DEPS)

cleandoc:
	$(call colorecho,RM,doc/herbstclient.1)
	$(VERBOSE) rm -f doc/herbstclient.1
	$(call colorecho,RM,doc/herbstclient.html)
	$(VERBOSE) rm -f doc/herbstclient.html
	$(call colorecho,RM,doc/herbstluftwm.1)
	$(VERBOSE) rm -f doc/herbstluftwm.1
	$(call colorecho,RM,doc/herbstluftwm.html)
	$(VERBOSE) rm -f doc/herbstluftwm.html

doc: doc/herbstclient.1    \
     doc/herbstclient.html \
     doc/herbstluftwm.1    \
     doc/herbstluftwm.html

tar: doc
	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]
	rm -rf $(TMPTARDIR)
	mkdir -p $(TMPTARDIR)
	tar -xvf $(TARFILE) -C $(TMPTARDIR)
	tar -czf $(TARFILE) $(TMPTARDIR)
	rm -rf $(TMPTARDIR)

doc/%.1: doc/%.txt version.mk
	$(call colorecho,DOC,$@)
	$(VERBOSE) $(A2X) -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<

doc/%.html: doc/%.txt version.mk
	$(call colorecho,DOC,$@)
	$(VERBOSE) $(ASCIIDOC) $<

install: all
	@echo "==> creating dirs..."
	$(MKDIR) '$(DESTDIR)/$(LICENSEDIR)'
	$(MKDIR) '$(DESTDIR)/$(BINDIR)'
	$(MKDIR) '$(DESTDIR)/$(MANDIR)/man1'
	$(MKDIR) '$(DESTDIR)/$(DOCDIR)'
	$(MKDIR) '$(DESTDIR)/$(EXAMPLESDIR)'
	$(MKDIR) '$(DESTDIR)/$(BASHCOMPLETIONDIR)'
	$(MKDIR) '$(DESTDIR)/$(CONFIGDIR)'
	$(MKDIR) '$(DESTDIR)/$(ZSHCOMPLETIONDIR)'
	$(MKDIR) '$(DESTDIR)/$(XSESSIONSDIR)'
	@echo "==> copying files..."
	$(INSTALL) $(TARGETS) '$(DESTDIR)/$(BINDIR)'
	$(INSTALL) -m 644 LICENSE '$(DESTDIR)/$(LICENSEDIR)'
	$(INSTALL) -m 644 doc/herbstclient.1 '$(DESTDIR)/$(MAN1DIR)/'
	$(INSTALL) -m 644 doc/herbstluftwm.1 '$(DESTDIR)/$(MAN1DIR)/'
	$(INSTALL) -m 644 doc/herbstclient.html '$(DESTDIR)/$(DOCDIR)/'
	$(INSTALL) -m 644 doc/herbstluftwm.html '$(DESTDIR)/$(DOCDIR)/'
	$(INSTALL) -m 644 BUGS '$(DESTDIR)/$(DOCDIR)/'
	$(INSTALL) -m 644 NEWS '$(DESTDIR)/$(DOCDIR)/'
	$(INSTALL) -m 644 README '$(DESTDIR)/$(DOCDIR)/'
	$(INSTALL) -m 755 share/autostart '$(DESTDIR)/$(CONFIGDIR)/'
	$(INSTALL) -m 755 share/panel.sh '$(DESTDIR)/$(CONFIGDIR)/'
	$(INSTALL) -m 755 share/restartpanels.sh '$(DESTDIR)/$(CONFIGDIR)/'
	$(INSTALL) -m 644 share/herbstclient-completion '$(DESTDIR)/$(BASHCOMPLETIONDIR)'
	$(INSTALL) -m 644 share/_herbstclient '$(DESTDIR)/$(ZSHCOMPLETIONDIR)/'
	$(INSTALL) -m 644 share/herbstluftwm.desktop '$(DESTDIR)/$(XSESSIONSDIR)/'
	$(INSTALL) -m 644 scripts/README '$(DESTDIR)/$(EXAMPLESDIR)/'
	$(INSTALL) -m 755 scripts/*.sh '$(DESTDIR)/$(EXAMPLESDIR)/'

www:
	make -C www

cleanwww:
	make -C www clean

=== debian/changelog ===
herbstluftwm (0.4.1-1) unstable; urgency=low

  * Upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Fri, 31 Aug 2012 22:41:51 -0700

herbstluftwm (0.4-1) unstable; urgency=low

  * New upstream release
  * Requiring user changes:
    * the setting window_gap is now called frame_gap
  * debhelper compat 9 for hardening options

 -- Christoph Egger <christoph@debian.org>  Sun, 19 Aug 2012 00:55:10 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/herbstluftwm/ install
	rm -rf $(CURDIR)/debian/herbstluftwm/usr/share/licenses \
		$(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/LICENSE

override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm

## herbstluftwm 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 include version.mk
 include config.mk
 include colors.mk
@@ -17,6 +16,7 @@
 
 HERBSTCLIENTDOC = doc/herbstclient.txt
 HERBSTLUFTWMDOC = doc/herbstluftwm.txt
+TUTORIAL = doc/herbstluftwm-tutorial.txt
 
 .PHONY: depend all all-nodoc doc install info www
 .PHONY: cleandoc cleanwww cleandeps clean
@@ -62,11 +62,17 @@
 	$(VERBOSE) rm -f doc/herbstluftwm.1
 	$(call colorecho,RM,doc/herbstluftwm.html)
 	$(VERBOSE) rm -f doc/herbstluftwm.html
+	$(call colorecho,RM,doc/herbstluftwm-tutorial.7)
+	$(VERBOSE) rm -f doc/herbstluftwm-tutorial.7
+	$(call colorecho,RM,doc/herbstluftwm-tutorial.html)
+	$(VERBOSE) rm -f doc/herbstluftwm-tutorial.html
 
 doc: doc/herbstclient.1    \
      doc/herbstclient.html \
      doc/herbstluftwm.1    \
-     doc/herbstluftwm.html
+     doc/herbstluftwm.html \
+     doc/herbstluftwm-tutorial.7    \
+     doc/herbstluftwm-tutorial.html
 
 tar: doc
 	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]
@@ -76,7 +82,7 @@
 	tar -czf $(TARFILE) $(TMPTARDIR)
 	rm -rf $(TMPTARDIR)
 
-doc/%.1: doc/%.txt version.mk
+doc/%.1 doc/%.7: doc/%.txt version.mk
 	$(call colorecho,DOC,$@)
 	$(VERBOSE) $(A2X) -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<
 
@@ -88,7 +94,8 @@
 	@echo "==> creating dirs..."
 	$(MKDIR) '$(DESTDIR)/$(LICENSEDIR)'
 	$(MKDIR) '$(DESTDIR)/$(BINDIR)'
-	$(MKDIR) '$(DESTDIR)/$(MANDIR)/man1'
+	$(MKDIR) '$(DESTDIR)/$(MAN1DIR)'
+	$(MKDIR) '$(DESTDIR)/$(MAN7DIR)'
 	$(MKDIR) '$(DESTDIR)/$(DOCDIR)'
 	$(MKDIR) '$(DESTDIR)/$(EXAMPLESDIR)'
 	$(MKDIR) '$(DESTDIR)/$(BASHCOMPLETIONDIR)'
@@ -100,8 +107,10 @@
 	$(INSTALL) -m 644 LICENSE '$(DESTDIR)/$(LICENSEDIR)'
 	$(INSTALL) -m 644 doc/herbstclient.1 '$(DESTDIR)/$(MAN1DIR)/'
 	$(INSTALL) -m 644 doc/herbstluftwm.1 '$(DESTDIR)/$(MAN1DIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.7 '$(DESTDIR)/$(MAN7DIR)/'
 	$(INSTALL) -m 644 doc/herbstclient.html '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 doc/herbstluftwm.html '$(DESTDIR)/$(DOCDIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.html '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 BUGS '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 NEWS '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 README '$(DESTDIR)/$(DOCDIR)/'
@@ -114,6 +123,32 @@
 	$(INSTALL) -m 644 scripts/README '$(DESTDIR)/$(EXAMPLESDIR)/'
 	$(INSTALL) -m 755 scripts/*.sh '$(DESTDIR)/$(EXAMPLESDIR)/'
 
+uninstall:
+	@echo "==> deleting files..."
+	$(foreach TARGET,$(TARGETS),-$(RM) '$(DESTDIR)/$(BINDIR)/$(TARGET)';)
+	-$(RM) '$(DESTDIR)/$(LICENSEDIR)/LICENSE'
+	-$(RM) '$(DESTDIR)/$(MAN1DIR)/herbstclient.1'
+	-$(RM) '$(DESTDIR)/$(MAN1DIR)/herbstluftwm.1'
+	-$(RM) '$(DESTDIR)/$(MAN7DIR)/herbstluftwm-tutorial.7'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/herbstclient.html'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/herbstluftwm.html'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/herbstluftwm-tutorial.html'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/BUGS'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/NEWS'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/README'
+	-$(RM) '$(DESTDIR)/$(CONFIGDIR)/autostart'
+	-$(RM) '$(DESTDIR)/$(CONFIGDIR)/panel.sh'
+	-$(RM) '$(DESTDIR)/$(CONFIGDIR)/restartpanels.sh'
+	-$(RM) '$(DESTDIR)/$(BASHCOMPLETIONDIR)/herbstclient-completion'
+	-$(RM) '$(DESTDIR)/$(ZSHCOMPLETIONDIR)/_herbstclient'
+	-$(RM) '$(DESTDIR)/$(XSESSIONSDIR)/herbstluftwm.desktop'
+	-$(RM) '$(DESTDIR)/$(EXAMPLESDIR)/README'
+	$(foreach SCRIPT,$(wildcard '$(DESTDIR)/$(EXAMPLESDIR)/*.sh'),-$(RM) '$(SCRIPT)';)
+	@echo "==> deleting directories..."
+	-$(RMDIR) '$(EXAMPLESDIR)'
+	-$(RMDIR) '$(DOCDIR)'
+	-$(RMDIR) '$(CONFIGDIR)'
+
 www:
 	make -C www

=== debian/changelog ===
herbstluftwm (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 31 Dec 2012 09:47:48 -0800

## herbstluftwm 0.5.1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 HERBSTLUFTWMDOC = doc/herbstluftwm.txt
 TUTORIAL = doc/herbstluftwm-tutorial.txt
 
-.PHONY: depend all all-nodoc doc install info www
+.PHONY: depend all all-nodoc doc install install-nodoc info www
 .PHONY: cleandoc cleanwww cleandeps clean
 
 all: $(TARGETS) doc
@@ -90,12 +90,23 @@
 	$(call colorecho,DOC,$@)
 	$(VERBOSE) $(ASCIIDOC) $<
 
-install: all
+install: all install-nodoc
+	@echo "==> creating dirs..."
+	$(MKDIR) '$(DESTDIR)/$(MAN1DIR)'
+	$(MKDIR) '$(DESTDIR)/$(MAN7DIR)'
+	$(MKDIR) '$(DESTDIR)/$(DOCDIR)'
+	@echo "==> copying files..."
+	$(INSTALL) -m 644 doc/herbstclient.1 '$(DESTDIR)/$(MAN1DIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm.1 '$(DESTDIR)/$(MAN1DIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.7 '$(DESTDIR)/$(MAN7DIR)/'
+	$(INSTALL) -m 644 doc/herbstclient.html '$(DESTDIR)/$(DOCDIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm.html '$(DESTDIR)/$(DOCDIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.html '$(DESTDIR)/$(DOCDIR)/'
+
+install-nodoc: all-nodoc
 	@echo "==> creating dirs..."
 	$(MKDIR) '$(DESTDIR)/$(LICENSEDIR)'
 	$(MKDIR) '$(DESTDIR)/$(BINDIR)'
-	$(MKDIR) '$(DESTDIR)/$(MAN1DIR)'
-	$(MKDIR) '$(DESTDIR)/$(MAN7DIR)'
 	$(MKDIR) '$(DESTDIR)/$(DOCDIR)'
 	$(MKDIR) '$(DESTDIR)/$(EXAMPLESDIR)'
 	$(MKDIR) '$(DESTDIR)/$(BASHCOMPLETIONDIR)'
@@ -105,12 +116,6 @@
 	@echo "==> copying files..."
 	$(INSTALL) $(TARGETS) '$(DESTDIR)/$(BINDIR)'
 	$(INSTALL) -m 644 LICENSE '$(DESTDIR)/$(LICENSEDIR)'
-	$(INSTALL) -m 644 doc/herbstclient.1 '$(DESTDIR)/$(MAN1DIR)/'
-	$(INSTALL) -m 644 doc/herbstluftwm.1 '$(DESTDIR)/$(MAN1DIR)/'
-	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.7 '$(DESTDIR)/$(MAN7DIR)/'
-	$(INSTALL) -m 644 doc/herbstclient.html '$(DESTDIR)/$(DOCDIR)/'
-	$(INSTALL) -m 644 doc/herbstluftwm.html '$(DESTDIR)/$(DOCDIR)/'
-	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.html '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 BUGS '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 NEWS '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 README '$(DESTDIR)/$(DOCDIR)/'
@@ -122,6 +127,8 @@
 	$(INSTALL) -m 644 share/herbstluftwm.desktop '$(DESTDIR)/$(XSESSIONSDIR)/'
 	$(INSTALL) -m 644 scripts/README '$(DESTDIR)/$(EXAMPLESDIR)/'
 	$(INSTALL) -m 755 scripts/*.sh '$(DESTDIR)/$(EXAMPLESDIR)/'
+
+
 
 uninstall:
 	@echo "==> deleting files..."

=== www/Makefile ===
--- 
+++ 
@@ -33,5 +33,3 @@
 
 install:
 	@echo scp index.html main.css $(TARGET)
-
-

=== debian/changelog ===
herbstluftwm (0.5.1-1) unstable; urgency=low

  * Upstream bugfix release
  * Disable colors, build verbose

 -- Christoph Egger <christoph@debian.org>  Fri, 04 Jan 2013 15:40:20 -0800

=== debian/watch ===
version=3

http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/tarballs/herbstluftwm-([\d.]+).tar.gz

## herbstluftwm 0.5.2

=== debian/changelog ===
herbstluftwm (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 23 Jun 2013 13:27:14 +0200

## herbstluftwm 0.5.3

=== Makefile ===
include version.mk
include config.mk
include colors.mk

HLWMSRC = $(wildcard src/*.c)
HLWMOBJ = $(HLWMSRC:.c=.o)
HLWMTARGET = herbstluftwm

HCSRC = $(wildcard ipc-client/*.c) src/utils.c
HCOBJ = $(HCSRC:.c=.o)
HCTARGET = herbstclient

TARGETS = $(HLWMTARGET) $(HCTARGET)
OBJ = $(HLWMOBJ) $(HCOBJ)
DEPS = $(OBJ:.o=.d)

HERBSTCLIENTDOC = doc/herbstclient.txt
HERBSTLUFTWMDOC = doc/herbstluftwm.txt
TUTORIAL = doc/herbstluftwm-tutorial.txt

.PHONY: depend all all-nodoc doc install install-nodoc info www
.PHONY: cleandoc cleanwww cleandeps clean

all: $(TARGETS) doc
all-nodoc: $(TARGETS)
$(HLWMTARGET): $(HLWMOBJ)
$(HCTARGET): $(HCOBJ)

$(TARGETS):
	$(call colorecho,LD,$@)
	$(VERBOSE) $(LD) -o $@ $(LDFLAGS)  $^ $(LIBS)

-include $(DEPS)

%.o: %.c version.mk
	$(call colorecho,CC,$<)
	$(VERBOSE) $(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
	$(VERBOSE) $(CC) -c $(CPPFLAGS) -o $*.d -MT $@ -MM $<

info:
	@echo Some Info:
	@echo Preprocessing with: $(CC) -E $(CPPFLAGS)
	@echo Compiling with: $(CC) -c $(CPPFLAGS) $(CFLAGS) -o OUT INPUT
	@echo Linking with: $(LD) -o OUT $(LDFLAGS) INPUT

clean: cleandoc cleandeps
	$(call colorecho,RM,$(TARGETS))
	$(VERBOSE) rm -f $(TARGETS)
	$(call colorecho,RM,$(OBJ))
	$(VERBOSE) rm -f $(OBJ)

cleandeps:
	$(call colorecho,RM,$(DEPS))
	$(VERBOSE) rm -f $(DEPS)

cleandoc:
	$(call colorecho,RM,doc/herbstclient.1)
	$(VERBOSE) rm -f doc/herbstclient.1
	$(call colorecho,RM,doc/herbstclient.html)
	$(VERBOSE) rm -f doc/herbstclient.html
	$(call colorecho,RM,doc/herbstluftwm.1)
	$(VERBOSE) rm -f doc/herbstluftwm.1
	$(call colorecho,RM,doc/herbstluftwm.html)
	$(VERBOSE) rm -f doc/herbstluftwm.html
	$(call colorecho,RM,doc/herbstluftwm-tutorial.7)
	$(VERBOSE) rm -f doc/herbstluftwm-tutorial.7
	$(call colorecho,RM,doc/herbstluftwm-tutorial.html)
	$(VERBOSE) rm -f doc/herbstluftwm-tutorial.html

doc: doc/herbstclient.1    \
     doc/herbstclient.html \
     doc/herbstluftwm.1    \
     doc/herbstluftwm.html \
     doc/herbstluftwm-tutorial.7    \
     doc/herbstluftwm-tutorial.html

tar: doc
	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]
	rm -rf $(TMPTARDIR)
	mkdir -p $(TMPTARDIR)
	tar -xvf $(TARFILE) -C $(TMPTARDIR)
	tar -czf $(TARFILE) $(TMPTARDIR)
	rm -rf $(TMPTARDIR)

doc/%.1 doc/%.7: doc/%.txt version.mk
	$(call colorecho,DOC,$@)
	$(VERBOSE) $(A2X) -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<

doc/%.html: doc/%.txt version.mk
	$(call colorecho,DOC,$@)
	$(VERBOSE) $(ASCIIDOC) $<

install: all install-nodoc
	@echo "==> creating dirs..."
	$(MKDIR) '$(DESTDIR)$(MAN1DIR)'
	$(MKDIR) '$(DESTDIR)$(MAN7DIR)'
	$(MKDIR) '$(DESTDIR)$(DOCDIR)'
	@echo "==> copying files..."
	$(INSTALL) -m 644 doc/herbstclient.1 '$(DESTDIR)$(MAN1DIR)/'
	$(INSTALL) -m 644 doc/herbstluftwm.1 '$(DESTDIR)$(MAN1DIR)/'
	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.7 '$(DESTDIR)$(MAN7DIR)/'
	$(INSTALL) -m 644 doc/herbstclient.html '$(DESTDIR)$(DOCDIR)/'
	$(INSTALL) -m 644 doc/herbstluftwm.html '$(DESTDIR)$(DOCDIR)/'
	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.html '$(DESTDIR)$(DOCDIR)/'

install-nodoc: all-nodoc
	@echo "==> creating dirs..."
	$(MKDIR) '$(DESTDIR)$(LICENSEDIR)'
	$(MKDIR) '$(DESTDIR)$(BINDIR)'
	$(MKDIR) '$(DESTDIR)$(DOCDIR)'
	$(MKDIR) '$(DESTDIR)$(EXAMPLESDIR)'
	$(MKDIR) '$(DESTDIR)$(BASHCOMPLETIONDIR)'
	$(MKDIR) '$(DESTDIR)$(CONFIGDIR)'
	$(MKDIR) '$(DESTDIR)$(ZSHCOMPLETIONDIR)'
	$(MKDIR) '$(DESTDIR)$(XSESSIONSDIR)'
	@echo "==> copying files..."
	$(INSTALL) $(TARGETS) '$(DESTDIR)$(BINDIR)/'
	$(INSTALL) -m 644 LICENSE '$(DESTDIR)$(LICENSEDIR)/'
	$(INSTALL) -m 644 BUGS '$(DESTDIR)$(DOCDIR)/'
	$(INSTALL) -m 644 NEWS '$(DESTDIR)$(DOCDIR)/'
	$(INSTALL) -m 644 README '$(DESTDIR)$(DOCDIR)/'
	$(INSTALL) -m 755 share/autostart '$(DESTDIR)$(CONFIGDIR)/'
	$(INSTALL) -m 755 share/panel.sh '$(DESTDIR)$(CONFIGDIR)/'
	$(INSTALL) -m 755 share/restartpanels.sh '$(DESTDIR)$(CONFIGDIR)/'
	$(INSTALL) -m 644 share/herbstclient-completion '$(DESTDIR)$(BASHCOMPLETIONDIR)/'
	$(INSTALL) -m 644 share/_herbstclient '$(DESTDIR)$(ZSHCOMPLETIONDIR)/'
	$(INSTALL) -m 644 share/herbstluftwm.desktop '$(DESTDIR)$(XSESSIONSDIR)/'
	$(INSTALL) -m 644 scripts/README '$(DESTDIR)$(EXAMPLESDIR)/'
	$(INSTALL) -m 755 scripts/*.sh '$(DESTDIR)$(EXAMPLESDIR)/'



uninstall:
	@echo "==> deleting files..."
	-$(foreach TARGET,$(TARGETS),$(RM) '$(DESTDIR)$(BINDIR)/$(TARGET)';)
	-$(RM) '$(DESTDIR)$(LICENSEDIR)/LICENSE'
	-$(RM) '$(DESTDIR)$(MAN1DIR)/herbstclient.1'
	-$(RM) '$(DESTDIR)$(MAN1DIR)/herbstluftwm.1'
	-$(RM) '$(DESTDIR)$(MAN7DIR)/herbstluftwm-tutorial.7'
	-$(RM) '$(DESTDIR)$(DOCDIR)/herbstclient.html'
	-$(RM) '$(DESTDIR)$(DOCDIR)/herbstluftwm.html'
	-$(RM) '$(DESTDIR)$(DOCDIR)/herbstluftwm-tutorial.html'
	-$(RM) '$(DESTDIR)$(DOCDIR)/BUGS'
	-$(RM) '$(DESTDIR)$(DOCDIR)/NEWS'
	-$(RM) '$(DESTDIR)$(DOCDIR)/README'
	-$(RM) '$(DESTDIR)$(CONFIGDIR)/autostart'
	-$(RM) '$(DESTDIR)$(CONFIGDIR)/panel.sh'
	-$(RM) '$(DESTDIR)$(CONFIGDIR)/restartpanels.sh'
	-$(RM) '$(DESTDIR)$(BASHCOMPLETIONDIR)/herbstclient-completion'
	-$(RM) '$(DESTDIR)$(ZSHCOMPLETIONDIR)/_herbstclient'
	-$(RM) '$(DESTDIR)$(XSESSIONSDIR)/herbstluftwm.desktop'
	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)/README'
	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)'/*.sh
	@echo "==> deleting directories..."
	-$(RMDIR) '$(EXAMPLESDIR)'
	-$(RMDIR) '$(DOCDIR)'
	-$(RMDIR) '$(CONFIGDIR)'

www:
	make -C www

cleanwww:
	make -C www clean

=== www/Makefile ===
--- 
+++ 
@@ -5,11 +5,16 @@
 
 .PHONY: all clean install
 
-TARGET = cip:wwwcip/herbstluftwm/
+TARGET = herbstluftwm.org:www/
+
 ASCIIDOCFLAGS = -s
 TXT = $(wildcard *.txt)
+INSTALLFILES = $(TXT:.txt=.html) \
+	herbstluftwm.html \
+	herbstclient.html \
+	herbstluftwm.svg
 
-all: $(TXT:.txt=.html) herbstluftwm.html herbstclient.html
+all: $(INSTALLFILES)
 
 %-content.html: %.txt
 	$(call colorecho,DOC,$@)
@@ -17,6 +22,9 @@
 
 %.html: %-content.html compose.sh
 	./compose.sh $< > $@
+
+herbstluftwm.svg: ../share/herbstluftwm.svg
+	cp $^ $@
 
 herbstluftwm-content.html: ../doc/herbstluftwm.txt
 	$(call colorecho,DOC,$@)
@@ -32,4 +40,4 @@
 	rm -f *.html *-content.html
 
 install:
-	@echo scp index.html main.css $(TARGET)
+	scp $(INSTALLFILES) $(TARGET)

=== debian/changelog ===
herbstluftwm (0.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 24 Dec 2013 23:17:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  libglib2.0-dev,
  libx11-dev,
+ libxinerama-dev,
  asciidoc,
  libxml2-utils,
  docbook-xml,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 %:
 	dh $@
+
+override_dh_auto_clean:
+	dh_auto_clean -- VERBOSE= COLOR=0
+
+override_dh_auto_build:
+	dh_auto_build -- VERBOSE= COLOR=0
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/herbstluftwm/ install

## herbstluftwm 0.6.2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 $(TARGETS):
 	$(call colorecho,LD,$@)
-	$(VERBOSE) $(LD) -o $@ $(LDFLAGS)  $^ $(LIBS)
+	$(VERBOSE) $(LD) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LIBS)
 
 -include $(DEPS)
 
@@ -152,9 +152,9 @@
 	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)/README'
 	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)'/*.sh
 	@echo "==> deleting directories..."
-	-$(RMDIR) '$(EXAMPLESDIR)'
-	-$(RMDIR) '$(DOCDIR)'
-	-$(RMDIR) '$(CONFIGDIR)'
+	-$(RMDIR) '$(DESTDIR)$(EXAMPLESDIR)/'
+	-$(RMDIR) '$(DESTDIR)$(DOCDIR)/'
+	-$(RMDIR) '$(DESTDIR)$(CONFIGDIR)/'
 
 www:
 	make -C www

=== www/Makefile ===

include ../version.mk
include ../config.mk
include ../colors.mk

.PHONY: all clean install

TARGET = herbstluftwm.org:www/

ASCIIDOCFLAGS = -s
TXT = $(wildcard *.txt)
INSTALLFILES = $(TXT:.txt=.html) \
	herbstluftwm.html \
	herbstclient.html \
	herbstluftwm.svg \
	main.css

all: $(INSTALLFILES)

%-content.html: %.txt
	$(call colorecho,DOC,$@)
	$(ASCIIDOC) $(ASCIIDOCFLAGS) -o $@ $<

%.html: %-content.html compose.py
	./compose.py $< > $@

herbstluftwm.svg: ../share/herbstluftwm.svg
	cp $^ $@

news.html: ../NEWS

migration.html: ../MIGRATION

herbstluftwm.html: ../doc/herbstluftwm.txt

herbstclient.html: ../doc/herbstclient.txt

tour.html: ../doc/herbstluftwm-tutorial.txt

clean:
	rm -f *.html *-content.html

install: all
	rsync -v $(INSTALLFILES) $(TARGET)

=== debian/changelog ===
herbstluftwm (0.6.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Fri, 28 Mar 2014 00:42:19 +0100

herbstluftwm (0.6.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Mar 2014 12:25:52 +0100

herbstluftwm (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update homepage
  * Use package description from Justin B Rye (Closes: #710406)

 -- Christoph Egger <christoph@debian.org>  Thu, 20 Mar 2014 14:02:02 +0100

=== debian/watch ===
version=3

http://herbstluftwm.org/tarballs/herbstluftwm-([\d.]+).tar.gz
